Package org.stianloader.picoresolve.internal

# Class XMLUtil.ChildElementIterable

java.lang.Object
org.stianloader.picoresolve.internal.XMLUtil.ChildElementIterable

All Implemented Interfaces:
  `Iterable<@NotNull Element>`

Enclosing class:
  XMLUtil

public static class XMLUtil.ChildElementIterable extends Object implements Iterable<@NotNull Element>

## Constructor Summary

Constructors
Constructor
Description
`ChildElementIterable(@NotNull Element parent)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<@NotNull Element>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### ChildElementIterable

public ChildElementIterable(@NotNull @NotNull Element parent)

## Method Details

### iterator

public Iterator<@NotNull Element> iterator()

Specified by:
  `iterator` in interface `Iterable<@NotNull Element>`